GETSEGBYNAME(3)

NAME
getsegbyname - get the segment command for the named segment

SYNOPSIS
#include <mach-o/getsect.h>

const struct segment_command *getsegbyname(const char *segname);

DESCRIPTION
This routine returns the segment_command structure for the named segment if it exists in the Mach-O (Mach object) executable getsegbyname(3) is linked into. Otherwise getsegbyname(3) returns NULL. It uses the link editor defined symbol _mh_execute_header and just looks through the load commands. Since these are mapped into the __TEXT segment they are read-only and thus const by default.

SEE ALSO
end(3), getsectbyname(3)